Index: /asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c	(revision 359)
@@ -220,11 +220,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_arm/trunk/app2_light/src/main.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/app2_light/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/app2_light/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/serial.h
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/serial.h	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/serial.h	(revision 359)
@@ -60,5 +60,4 @@
 	uint_t		reacnt;			/* 受信バッファ中の文字数 */
 	uint_t		wricnt;			/* 送信バッファ中の文字数 */
-	uint_t		wbufsz;			/* 送信バッファサイズ */
 } T_SERIAL_RPOR;
 
Index: /asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/tSerialPortMain.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/tSerialPortMain.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/tSerialPortMain.c	(revision 359)
@@ -504,5 +504,4 @@
 	pk_rpor->reacnt = VAR_receiveCount;
 	pk_rpor->wricnt = VAR_sendCount;
-	pk_rpor->wbufsz = ATTR_sendBufferSize;
 	return(E_OK);
 }
Index: /asp3_tinet_ecnl_arm/trunk/bnep_bridge/src/main.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/bnep_bridge/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/bnep_bridge/src/main.c	(revision 359)
@@ -193,11 +193,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ffarch.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ffarch.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ffarch.c	(revision 359)
@@ -53,5 +53,65 @@
 #include "util/ntstdio.h"
 
-//extern ntstdio_t ntstdio;
+extern ntstdio_t ntstdio;
+
+enum ffarch_state_t {
+	FFS_IDLE,
+	FFS_RETRY_WAIT,
+};
+
+enum ffarch_state_t ffarch_state;
+volatile int ffarch_timer;
+int ffarch_retry_count;
+uint8_t sdfs_new_status, sdfs_prev_status;
+
+static void ffarch_initialize();
+
+/*
+ * FatFSタスク
+ */
+void ffarch_task(intptr_t exinf)
+{
+	ER ret, ret2;
+	SYSTIM prev, now;
+	int timer;
+
+	ffarch_initialize();
+
+	ret2 = get_tim(&now);
+	if (ret2 != E_OK){
+		ntstdio_printf(&ntstdio, "[ffarch] get_tim error: %s",
+			itron_strerror(ret2));
+		return;
+	}
+
+	for(;;){
+		prev = now;
+
+		/* タイマー取得 */
+		timer = ffarch_get_timer();
+
+		/* 待ち */
+		ret = tslp_tsk(timer);
+		if ((ret != E_OK) && (ret != E_TMOUT)) {
+			ntstdio_printf(&ntstdio, "[ffarch] tslp_tsk error: %s %d",
+				itron_strerror(ret), timer);
+			break;
+		}
+
+		ret2 = get_tim(&now);
+		if (ret2 != E_OK) {
+			ntstdio_printf(&ntstdio, "[ffarch] get_tim error: %s",
+				itron_strerror(ret2));
+			break;
+		}
+
+		/* 時間経過 */
+		int elapse = now - prev;
+		ffarch_progress(elapse);
+
+		/* タイムアウト処理 */
+		ffarch_timeout();
+	}
+}
 
 FATFS RomDisk;
@@ -71,8 +131,6 @@
 bool_t SD_begin();
 
-int ffarch_init()
-{
-	int result = -1;
-
+void ffarch_init()
+{
 	/* SD_CD */
 	gpio_init_in(&ins, P7_8);
@@ -81,29 +139,27 @@
 	sdfs_init(&sdfs, P8_5, P8_6, P8_3, P8_4, "sd");
 
-	result = SD_begin() ? 0 : -1;
-	if (result == 0) {
-		printf("SD card (1:) OK!\n");
+	ffarch_state = FFS_IDLE;
+	ffarch_timer = 0;
+	ffarch_retry_count = 3;
+	sdfs_new_status = 0;
+	sdfs_prev_status = STA_NODISK;
+
+	ffarch_timeout();
+
+	act_tsk(FFARCH_TASK);
+
+	if (romdisk_init()) {
+		ntstdio_printf(&ntstdio, "ROM disk (0:) OK!\n");
 	}
 	else {
-		printf("SD card (1:) NG!\n");
-	}
+		ntstdio_printf(&ntstdio, "ROM disk (0:) NG!\n");
+	}
+
+	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
+}
+
+void ffarch_initialize()
+{
 	sta_cyc(SDFS_CYC);
-
-	if (romdisk_init())
-		result = 0;
-
-	if (result == 0) {
-		printf("ROM disk (0:) OK!\n");
-	}
-	else {
-		printf("ROM disk (0:) NG!\n");
-	}
-
-	/* uploadディレクトリを作成しておく */
-	f_mkdir("1:/upload");
-
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
-	return result;
 }
 
@@ -173,5 +229,5 @@
 		return ramdisk_get_status();
 	case 1:
-		return sdfs_status(&sdfs);
+		return sdfs._is_initialized;
 	}
 	return STA_NOINIT;
@@ -200,4 +256,6 @@
 }
 
+DRESULT sdfs_ioctl(BYTE ctrl, void *buff);
+
 DRESULT disk_ioctl(BYTE pdrv, BYTE cmd, void *buff)
 {
@@ -206,31 +264,166 @@
 		return RES_PARERR; /* ramdisk_ioctl(cmd, buff); */
 	case 1:
-		switch(cmd) {
-		case CTRL_SYNC:
-			return sdfs_sync(&sdfs);
-		case GET_SECTOR_COUNT:
-			return sdfs_sectors(&sdfs);
-		case GET_BLOCK_SIZE:
-			*((DWORD*)buff) = 1; // default when not known
-			return RES_OK;
-		}
+		return sdfs_ioctl(cmd, buff);
 	}
 	return RES_PARERR;
 }
 
+DRESULT sdfs_ioctl(BYTE ctrl, void *buff)
+{
+	DRESULT res;
+	uint32_t *dp = (uint32_t *)buff, st, ed;
+	uint8_t *ptr = (uint8_t *)buff;
+
+	if (sdfs._is_initialized & STA_NOINIT)
+		return RES_NOTRDY;
+
+	res = RES_ERROR;
+
+	switch (ctrl) {
+	case CTRL_SYNC:
+		if (sdfs_sync(&sdfs) == 0) {
+			res = RES_OK;
+		}
+		break;
+	case GET_SECTOR_SIZE:
+		*(WORD*)buff = 512;
+		res = RES_OK;
+		break;
+	case GET_SECTOR_COUNT:
+		*(DWORD*)buff = sdfs._capacity / 512;
+		res = RES_OK;
+		break;
+	case GET_BLOCK_SIZE:
+		*(DWORD*)buff = sdfs._block_len;
+		res = RES_OK;
+		break;
+	case CTRL_TRIM:
+		res = sdfs_trim(&sdfs, dp[0], dp[1]);
+		break;
+	case MMC_GET_TYPE:
+		*ptr = sdfs._card_type;
+		res = RES_OK;
+		break;
+	case MMC_GET_CSD:
+		memcpy(ptr, sdfs._csd, sizeof(sdfs._csd));
+		res = RES_OK;
+		break;
+	case MMC_GET_CID:
+		memcpy(ptr, sdfs._cid, sizeof(sdfs._cid));
+		res = RES_OK;
+		break;
+	case MMC_GET_OCR:
+		if (sdfs_get_ocr(&sdfs, buff) == 0) {
+			res = RES_OK;
+		}
+		break;
+	case MMC_GET_SDSTAT:
+		if (sdfs_get_sdstat(&sdfs, buff) == 0) {
+			res = RES_OK;
+		}
+		break;
+	default:
+		res = RES_PARERR;
+	}
+
+	return res;
+}
+
 void sdfs_cychdr(intptr_t exinf)
 {
-	BYTE s;
-
-	s = sdfs._is_initialized;
-	if (WP())		/* Write protected */
+	BYTE s = 0;
+             
+	/* Write protected */
+	if (WP())
 		s |= STA_PROTECT;
-	else		/* Write enabled */
+	else
 		s &= ~STA_PROTECT;
-	if (gpio_read(&ins))	/* Card is in socket */
+
+	/* Card is in socket */
+	if (gpio_read(&ins))
+		s |= (STA_NODISK | STA_NOINIT);
+	else
 		s &= ~STA_NODISK;
-	else		/* Socket empty */
-		s |= (STA_NODISK | STA_NOINIT);
-	sdfs._is_initialized = s;
+
+	sdfs_new_status = s;
+
+	if ((sdfs_prev_status != sdfs_new_status) && (ffarch_state == FFS_IDLE)) {
+		ffarch_timer = 0;
+		wup_tsk(FFARCH_TASK);
+	}
+}
+
+int ffarch_get_timer()
+{
+	return ffarch_timer;
+}
+
+void ffarch_progress(int elapse)
+{
+	if (ffarch_timer != TMO_FEVR) {
+		ffarch_timer -= elapse;
+		if (ffarch_timer < 0) {
+			ffarch_timer = 0;
+		}
+	}
+}
+
+void ffarch_timeout()
+{
+	if (ffarch_timer != 0)
+		return;
+
+	switch (ffarch_state) {
+	case FFS_RETRY_WAIT:
+		if (ffarch_retry_count == 0) {
+			ntstdio_printf(&ntstdio, "SD card (1:) initialize tired...\n");
+
+			ffarch_state = FFS_IDLE;
+			ffarch_timer = TMO_FEVR;
+			ffarch_retry_count = 3;
+			break;
+		}
+		ffarch_retry_count--;
+		//goto case FFS_IDLE;
+	case FFS_IDLE:
+ 		/* SDカードが入れられた場合 */
+ 		if ((sdfs._is_initialized & STA_NOINIT)
+ 			|| (((sdfs_prev_status & STA_NODISK) != 0) && ((sdfs_new_status & STA_NODISK) == 0))) {
+			ntstdio_printf(&ntstdio, "SD card initializing ...\n");
+
+			if (SD_begin()) {
+				ntstdio_printf(&ntstdio, "SD card (1:) OK!\n");
+
+				/* uploadディレクトリを作成しておく */
+				f_mkdir("1:/upload");
+
+				ffarch_state = FFS_IDLE;
+				ffarch_timer = TMO_FEVR;
+				ffarch_retry_count = 3;
+			}
+			else {
+				ntstdio_printf(&ntstdio, "SD card (1:) NG!\n");
+				ffarch_state = FFS_RETRY_WAIT;
+				ffarch_timer = 1000 * 1000;
+			}
+		}
+		/* SDカードが抜かれた場合 */
+		else if (((sdfs_prev_status & STA_NODISK) == 0) && ((sdfs_new_status & STA_NODISK) != 0)) {
+			ntstdio_printf(&ntstdio, "SD card unmount\n");
+
+			f_mount(&Sd.FatFs, "1:", 0);
+			ffarch_state = FFS_IDLE;
+			ffarch_timer = TMO_FEVR;
+			ffarch_retry_count = 3;
+		}
+		if (((sdfs_prev_status ^ sdfs_new_status) & STA_PROTECT) != 0) {
+			if ((sdfs_new_status & STA_PROTECT) != 0)
+				sdfs._is_initialized |= STA_PROTECT;
+			else
+				sdfs._is_initialized &= ~STA_PROTECT;
+		}
+		sdfs_prev_status = sdfs_new_status;
+		break;
+	}
 }
 
Index: /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ffarch.cfg
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ffarch.cfg	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ffarch.cfg	(revision 359)
@@ -38,4 +38,5 @@
 #include "ffarch.h"
 
+CRE_TSK(FFARCH_TASK, { TA_NULL, 0, ffarch_task, FFARCH_PRIORITY, FFARCH_STACK_SIZE, NULL });
 CRE_CYC(SDFS_CYC, { TA_NULL, { TNFY_HANDLER, 0, sdfs_cychdr }, 1000000, 0 });
 
Index: /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ffarch.h
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ffarch.h	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ffarch.h	(revision 359)
@@ -38,5 +38,13 @@
 #define _FFARCH_H_
 
-int ffarch_init();
+#define FFARCH_PRIORITY			5
+#define FFARCH_STACK_SIZE		512
+
+void ffarch_init();
+void ffarch_task(intptr_t exinf);
+int ffarch_get_timer();
+void ffarch_progress(int elapse);
+void ffarch_timeout();
+
 void sdfs_cychdr(intptr_t exinf);
 
Index: /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/sdfs.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/sdfs.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/sdfs.c	(revision 359)
@@ -115,9 +115,12 @@
 	*/
 #include "sdfs.h"
+#include "diskio.h"
 //#include "mbed_debug.h"
 #include "mbed_wait_api.h"
-
-#define debug(str, ...)
-#define debug_if(cond, strt, ...) if(cond){ debug(str, __ARGS__); }
+#include "util/ntstdio.h"
+
+extern ntstdio_t ntstdio;
+#define debug(...) ntstdio_printf(&ntstdio, __VA_ARGS__)
+#define debug_if(cond, ...) if(cond){ ntstdio_printf(&ntstdio, __VA_ARGS__); }
 
 static int sdfs_initialise_card_v1(sdfs_t *obj);
@@ -144,4 +147,5 @@
     obj->_init_sck = 100000;
     obj->_transfer_sck = 1000000;
+	obj->_is_initialized = STA_NOINIT;
 }
 
@@ -154,10 +158,4 @@
 #define R1_PARAMETER_ERROR      (1 << 6)
 
-// Types
-#define SDCARD_FAIL 0 //!< v1.x Standard Capacity
-#define SDCARD_V1   1 //!< v2.x Standard Capacity
-#define SDCARD_V2   2 //!< v2.x High Capacity
-#define SDCARD_V2HC 3 //!< Not recognised as an SD Card
-
 int sdfs_initialise_card(sdfs_t *obj)
 {
@@ -173,5 +171,5 @@
 	if (sdfs__cmd(obj, 0, 0) != R1_IDLE_STATE) {
 		debug("No disk, or could not put SD card in to SPI idle state\n");
-		return SDCARD_FAIL;
+		return CT_FAIL;
 	}
 
@@ -186,5 +184,5 @@
 	else {
 		debug("Not in idle state after sending CMD8 (not an SD card?)\n");
-		return SDCARD_FAIL;
+		return CT_FAIL;
 	}
 }
@@ -192,50 +190,82 @@
 static int sdfs_initialise_card_v1(sdfs_t *obj)
 {
+	sdfs__cmd(obj, 55, 0);
+	if (sdfs__cmd(obj, 41, 0) <= 1) {
+		obj->cdv = 512;
+		debug_if(SD_DBG, "\n\rInit: SEDCARD_V1\n\r");
+		for (int i = 0; i < SD_COMMAND_TIMEOUT; i++) {
+			sdfs__cmd(obj, 55, 0);
+			if (sdfs__cmd(obj, 41, 0) == 0) {
+				break;
+			}
+		}
+		return CT_SD1;
+	}
+	else {
+		for (int i = 0; i < SD_COMMAND_TIMEOUT; i++) {
+			if (sdfs__cmd(obj, 1, 0) == 0)
+				break;
+		}
+		return CT_MMC;
+	}
+	//if (!Timer1 || sdfs__cmd(obj, 16, 512) != 0)	/* Set block length: 512 */
+	//	ty = 0;
+
+	debug("Timeout waiting for v1.x card\n");
+	return CT_FAIL;
+}
+
+static int sdfs_initialise_card_v2(sdfs_t *obj)
+{
+	int n;
+	uint8_t ocr[4];
+
+	/* Get 32 bit return value of R7 resp */
+	for (n = 0; n < 4; n++) ocr[n] = spi_master_write(&obj->_spi, 0xFF);
 	for (int i = 0; i < SD_COMMAND_TIMEOUT; i++) {
 		sdfs__cmd(obj, 55, 0);
-		if (sdfs__cmd(obj, 41, 0) == 0) {
-			obj->cdv = 512;
-			debug_if(SD_DBG, "\n\rInit: SEDCARD_V1\n\r");
-			return SDCARD_V1;
-		}
-	}
-
-	debug("Timeout waiting for v1.x card\n");
-	return SDCARD_FAIL;
-}
-
-static int sdfs_initialise_card_v2(sdfs_t *obj)
-{
-	for (int i = 0; i < SD_COMMAND_TIMEOUT; i++) {
+		if (sdfs__cmd(obj, 41, 0x40000000) == 0) {
+			if (sdfs__cmd58(obj) == 0) {
+				for (n = 0; n < 4; n++) ocr[n] = spi_master_write(&obj->_spi, 0xFF);
+				debug_if(SD_DBG, "\n\rInit: SDCARD_V2\n\r");
+				obj->cdv = 1;
+				return (ocr[0] & 0x40) ? CT_SD2 | CT_BLOCK : CT_SD2;
+			}
+		}
 		wait_ms(50);
-		sdfs__cmd58(obj);
-		sdfs__cmd(obj, 55, 0);
-		if (sdfs__cmd(obj, 41, 0x40000000) == 0) {
-			sdfs__cmd58(obj);
-			debug_if(SD_DBG, "\n\rInit: SDCARD_V2\n\r");
-			obj->cdv = 1;
-			return SDCARD_V2;
-		}
 	}
 
 	debug("Timeout waiting for v2.x card\n");
-	return SDCARD_FAIL;
+	return CT_FAIL;
 }
 
 int sdfs_initialize(sdfs_t *obj)
 {
-	obj->_is_initialized = sdfs_initialise_card(obj);
-	if (obj->_is_initialized == 0) {
+	obj->_is_initialized |= STA_NOINIT;
+
+	obj->_card_type = sdfs_initialise_card(obj);
+	if (obj->_card_type == 0) {
 		debug("Fail to initialize card\n");
 		return 1;
 	}
-	debug_if(SD_DBG, "init card = %d\n", obj->_is_initialized);
+	debug_if(SD_DBG, "init card = %x\n", obj->_is_initialized);
+
 	obj->_sectors = sdfs__sd_sectors(obj);
+
+	if (sdfs__cmdx(obj, 10, 0) != 0		/* READ_CID */
+		|| sdfs__read(obj, obj->_cid, 16) != 0) {
+		obj->_card_type = CT_FAIL;
+		debug("Fail to read cid\n");
+		return 1;
+	}
 
 	// Set block length to 512 (CMD16)
 	if (sdfs__cmd(obj, 16, 512) != 0) {
+		obj->_card_type = CT_FAIL;
 		debug("Set 512-byte block timed out\n");
 		return 1;
 	}
+
+	obj->_is_initialized &= ~STA_NOINIT;
 
 	// Set SCK for data transfer
@@ -246,5 +276,5 @@
 int sdfs_write(sdfs_t *obj, const uint8_t *buffer, uint32_t block_number, uint32_t count)
 {
-	if (!obj->_is_initialized) {
+	if (obj->_is_initialized & (STA_NOINIT | STA_PROTECT)) {
 		return -1;
 	}
@@ -266,5 +296,5 @@
 int sdfs_read(sdfs_t *obj, uint8_t *buffer, uint32_t block_number, uint32_t count)
 {
-	if (!obj->_is_initialized) {
+	if (obj->_is_initialized & STA_NOINIT) {
 		return -1;
 	}
@@ -287,5 +317,5 @@
 {
 	// FATFileSystem::disk_status() returns 0 when initialized
-	if (obj->_is_initialized) {
+	if ((obj->_is_initialized & STA_NOINIT) == 0) {
 		return 0;
 	}
@@ -294,5 +324,5 @@
 	}
 }
-int sdfs_sync(sdfs_t *obj) { return 0; }
+
 uint64_t sdfs_sectors(sdfs_t *obj) { return obj->_sectors; }
 
@@ -477,5 +507,5 @@
 {
 	uint32_t c_size, c_size_mult, read_bl_len;
-	uint32_t block_len, mult, blocknr, capacity;
+	uint32_t mult, blocknr;
 	uint32_t hc_c_size;
 	uint64_t blocks;
@@ -487,6 +517,5 @@
 	}
 
-	uint8_t csd[16];
-	if (sdfs__read(obj, csd, 16) != 0) {
+	if (sdfs__read(obj, obj->_csd, 16) != 0) {
 		debug("Couldn't read csd response from disk\n");
 		return 0;
@@ -498,24 +527,24 @@
 	// read_bl_len   : csd[83:80] - the *maximum* read block length
 
-	int csd_structure = sdfs_ext_bits(obj, csd, 127, 126);
+	int csd_structure = sdfs_ext_bits(obj, obj->_csd, 127, 126);
 
 	switch (csd_structure) {
 	case 0:
 		obj->cdv = 512;
-		c_size = sdfs_ext_bits(obj, csd, 73, 62);
-		c_size_mult = sdfs_ext_bits(obj, csd, 49, 47);
-		read_bl_len = sdfs_ext_bits(obj, csd, 83, 80);
-
-		block_len = 1 << read_bl_len;
+		c_size = sdfs_ext_bits(obj, obj->_csd, 73, 62);
+		c_size_mult = sdfs_ext_bits(obj, obj->_csd, 49, 47);
+		read_bl_len = sdfs_ext_bits(obj, obj->_csd, 83, 80);
+
+		obj->_block_len = 1 << read_bl_len;
 		mult = 1 << (c_size_mult + 2);
 		blocknr = (c_size + 1) * mult;
-		capacity = blocknr * block_len;
-		blocks = capacity / 512;
-		debug_if(SD_DBG, "\n\rSDCard\n\rc_size: %d \n\rcapacity: %ld \n\rsectors: %lld\n\r", c_size, capacity, blocks);
+		obj->_capacity = blocknr * obj->_block_len;
+		blocks = obj->_capacity / 512;
+		debug_if(SD_DBG, "\n\rSDCard\n\rc_size: %d \n\rcapacity: %ld \n\rsectors: %lld\n\r", c_size, obj->_capacity, blocks);
 		break;
 
 	case 1:
 		obj->cdv = 1;
-		hc_c_size = sdfs_ext_bits(obj, csd, 63, 48);
+		hc_c_size = sdfs_ext_bits(obj, obj->_csd, 63, 48);
 		blocks = (hc_c_size + 1) * 1024;
 		debug_if(SD_DBG, "\n\rSDHC Card \n\rhc_c_size: %d\n\rcapacity: %lld \n\rsectors: %lld\n\r", hc_c_size, blocks * 512, blocks);
@@ -528,2 +557,113 @@
 	return blocks;
 }
+
+static
+int wait_ready(sdfs_t *obj, uint32_t wt)
+{
+	/* Wait until card goes ready or timeout */
+	for (int i = 0; i < wt; i++) {
+		if (spi_master_write(&obj->_spi, 0xFF) == 0xFF)
+			/* Card goes ready */
+			return 1;
+	}
+
+	/* Timeout occured */
+	return 0;
+}
+
+static
+void deselect(sdfs_t *obj)
+{
+	/* Set CS# high */
+	gpio_write(&obj->_cs, 0);
+
+	/* Dummy clock (force DO hi-z for multiple slave SPI) */
+	spi_master_write(&obj->_spi, 0xFF);
+}
+
+static
+int select(sdfs_t *obj)
+{
+	/* Set CS# low */
+	gpio_write(&obj->_cs, 1);
+
+	/* Dummy clock (force DO enabled) */
+	spi_master_write(&obj->_spi, 0xFF);
+
+	/* Wait for card ready */
+	if (wait_ready(obj, 500))
+		return 0;
+
+	deselect(obj);
+
+	/* Failed to select the card due to timeout */
+	return -1;
+}
+
+int sdfs_sync(sdfs_t *obj)
+{
+	int ret = select(obj);
+	deselect(obj);
+	return ret;
+}
+
+int sdfs_trim(sdfs_t *obj, uint32_t st, uint32_t ed)
+{
+	int res = -1;
+
+	for(;;) {
+		/* Check if the card is SDC */
+		if (!(obj->_card_type & CT_SDC))
+			break;
+		/* Check if sector erase can be applied to the card */
+		if (!(obj->_csd[0] >> 6) && !(obj->_csd[10] & 0x40))
+			break;
+		/* Load sector block */
+		if (!(obj->_card_type & CT_BLOCK)) {
+			st *= 512; ed *= 512;
+		}
+		/* Erase sector block */
+		if ((sdfs__cmd(obj, 32, st) == 0)
+			&& (sdfs__cmd(obj, 33, ed) == 0)
+			&& (sdfs__cmd(obj, 38, 0) == 0)
+			&& wait_ready(obj, 30000))
+			res = 0;
+	}
+
+	return res;
+}
+
+int sdfs_get_ocr(sdfs_t *obj, uint8_t buff[4])
+{
+	int res = -1, n;
+
+	/* READ_OCR */
+	if (sdfs__cmd58(obj) == 0) {
+		for (n = 4; n; n--) {
+			*buff++ = spi_master_write(&obj->_spi, 0xFF);
+		}
+		res = 0;
+	}
+
+	deselect(obj);
+
+	return res;
+}
+
+int sdfs_get_sdstat(sdfs_t *obj, uint8_t buff[64])
+{
+	int res = -1;
+
+	sdfs__cmd(obj, 55, 0);
+
+	/* SD_STATUS */
+	if (sdfs__cmd(obj, 13, 0) == 0) {
+		spi_master_write(&obj->_spi, 0xFF);
+		if (sdfs__read(obj, buff, 64) == 0)
+			return 0;
+	}
+
+	deselect(obj);
+
+	return res;
+}
Index: /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/sdfs.h
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/sdfs.h	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/sdfs.h	(revision 359)
@@ -34,4 +34,12 @@
 #endif
 
+/* MMC card type flags (MMC_GET_TYPE) */
+#define CT_FAIL		0x00
+#define CT_MMC		0x01		/* MMC ver 3 */
+#define CT_SD1		0x02		/* SD ver 1 */
+#define CT_SD2		0x04		/* SD ver 2 */
+#define CT_SDC		(CT_SD1|CT_SD2)	/* SD */
+#define CT_BLOCK	0x08		/* Block addressing */
+
 /** Access the filesystem on an SD Card using SPI
 	*
@@ -51,4 +59,9 @@
 typedef struct sdfs_s{
 	const char* name;
+	volatile uint8_t _is_initialized;
+	uint8_t _card_type;
+	uint8_t _csd[16], _cid[16];
+	uint64_t _capacity;
+	uint64_t _block_len;
 	uint64_t _sectors;
 	spi_t _spi;
@@ -57,5 +70,4 @@
     uint32_t _init_sck;
     uint32_t _transfer_sck;
-	int _is_initialized;
 } sdfs_t;
 
@@ -76,4 +88,7 @@
 int sdfs_sync(sdfs_t *obj);
 uint64_t sdfs_sectors(sdfs_t *obj);
+int sdfs_trim(sdfs_t *obj, uint32_t st, uint32_t ed);
+int sdfs_get_ocr(sdfs_t *obj, uint8_t buff[4]);
+int sdfs_get_sdstat(sdfs_t *obj, uint8_t buff[64]);
 
 #ifdef __cplusplus
Index: /asp3_tinet_ecnl_arm/trunk/ntshell/src/fdtable.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/ntshell/src/fdtable.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/ntshell/src/fdtable.c	(revision 359)
@@ -400,5 +400,5 @@
 		FD_SET(fd, (fd_set *)&flgptn);
 	}
-	if (rpor.wricnt < rpor.wbufsz) {
+	if (rpor.wricnt != 0) {
 		if (fp->writeevt_w == fp->writeevt_r) fp->writeevt_w++;
 
@@ -428,5 +428,5 @@
 		FD_SET(fd, (fd_set *)flgptn);
 	}
-	if (rpor.wricnt < rpor.wbufsz) {
+	if (rpor.wricnt != 0) {
 		if (fp->writeevt_w == fp->writeevt_r) fp->writeevt_w++;
 
Index: /asp3_tinet_ecnl_arm/trunk/ntshell/src/net_misc.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/ntshell/src/net_misc.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/ntshell/src/net_misc.c	(revision 359)
@@ -60,4 +60,7 @@
 #include "kernel_cfg.h"
 #include "tinet_cfg.h"
+#include "util/ntstdio.h"
+
+extern ntstdio_t ntstdio;
 
 T_DHCP4_CLI_CONTEXT *dhcp4_cli_initialize(ID tskid, ID cepid);
@@ -94,5 +97,5 @@
 
 	get_tid(&nc->tskid);
-	syslog(LOG_NOTICE, "[NET MISC:%d,%d] started.", nc->tskid, (ID)exinf);
+	ntstdio_printf(&ntstdio, "[NET MISC:%d,%d] started.", nc->tskid, (ID)exinf);
 
 	/* 初期化 */
@@ -102,5 +105,5 @@
 	ret = get_tim(&time);
 	if (ret != E_OK) {
-		syslog(LOG_NOTICE, "[NET MISC,%d] get_tim error: %7lu,%s",
+		ntstdio_printf(&ntstdio, "[NET MISC,%d] get_tim error: %7lu,%s",
 			nc->cepid, time / SYSTIM_HZ, itron_strerror(ret));
 		return;
@@ -116,5 +119,5 @@
 		error = tslp_tsk(timer);
 		if ((error != E_OK) && (error != E_TMOUT)) {
-			syslog(LOG_NOTICE, "[NET MISC,%d] tslp_tsk error: %s %d",
+			ntstdio_printf(&ntstdio, "[NET MISC,%d] tslp_tsk error: %s %d",
 				nc->cepid, itron_strerror(error), timer);
 			break;
@@ -123,5 +126,5 @@
 		ret = get_tim(&time);
 		if (ret != E_OK) {
-			syslog(LOG_NOTICE, "[NET MISC,%d] get_tim error: %s",
+			ntstdio_printf(&ntstdio, "[NET MISC,%d] get_tim error: %s",
 				nc->cepid, itron_strerror(ret));
 			break;
Index: /asp3_tinet_ecnl_arm/trunk/ntshell/src/ntp_cli.c
===================================================================
--- /asp3_tinet_ecnl_arm/trunk/ntshell/src/ntp_cli.c	(revision 358)
+++ /asp3_tinet_ecnl_arm/trunk/ntshell/src/ntp_cli.c	(revision 359)
@@ -50,4 +50,7 @@
 #include <t_syslog.h>
 #include "kernel_cfg.h"
+#include "util/ntstdio.h"
+
+extern ntstdio_t ntstdio;
 
 #endif	/* of #if defined(TARGET_KERNEL_ASP) */
@@ -276,5 +279,5 @@
 	}
 
-	syslog(LOG_NOTICE, "[NTP CLI,%d] recv time: %s .%09u",
+	ntstdio_printf(&ntstdio, "[NTP CLI,%d] recv time: %s .%09u\n",
 		nc->cepid, nc->buf, tp.tv_nsec);
 }
@@ -308,5 +311,5 @@
 		line = lookup_ipaddr(&nc->ipaddr6, NTP_SRV_URL, API_PROTO_IPV4);
 		if (line == NULL || !in6_is_addr_ipv4mapped(&nc->ipaddr6)) {
-			syslog(LOG_NOTICE, "[NTP CLI,%d] sleep %d.%03u[s], unknown host.",
+			ntstdio_printf(&ntstdio, "[NTP CLI,%d] sleep %d.%03u[s], unknown host.",
 				nc->cepid, SLP_ITV / SYSTIM_HZ, SLP_ITV % SYSTIM_HZ);
 			nc->timer = SLP_ITV;
@@ -316,5 +319,5 @@
 #else	/* of #if defined(SUPPORT_INET6) && defined(SUPPORT_INET4) */
 		if ((line = lookup_ipaddr(&nc->snd_rmt.ipaddr, NTP_SRV_URL, DEFAULT_API_PROTO)) == NULL) {
-			syslog(LOG_NOTICE, "[NTP CLI,%d] sleep %d.%03u[s], unknown host.",
+			ntstdio_printf(&ntstdio, "[NTP CLI,%d] sleep %d.%03u[s], unknown host.",
 				nc->cepid, SLP_ITV / SYSTIM_HZ, SLP_ITV % SYSTIM_HZ);
 			nc->timer = SLP_ITV;
@@ -420,5 +423,5 @@
 
 	if ((error = udp_snd_dat(nc->cepid, &nc->snd_rmt, ntp, len, TMO_NBLK)) != E_WBLK) {
-		syslog(LOG_NOTICE, "[NTP CLI,%d] udp_snd_dat error: %s",
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] udp_snd_dat error: %s",
 			nc->cepid, itron_strerror(error));
 		return error;
@@ -438,5 +441,5 @@
 	ret = get_tim(&time);
 	if (ret != E_OK) {
-		syslog(LOG_NOTICE, "[NTP CLI,%d] get_tim error: %s",
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] get_tim error: %s",
 			nc->cepid, itron_strerror(ret));
 		tp->tv_sec = 0;
@@ -458,5 +461,5 @@
 	ret = set_tim(time);
 	if (ret != E_OK) {
-		syslog(LOG_NOTICE, "[NTP CLI,%d] set_tim error: %s",
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] set_tim error: %s",
 			nc->cepid, itron_strerror(ret));
 	}
@@ -476,5 +479,5 @@
 	if (len < 0 && len != E_RLWAI) {
 		/* E_RLWAI 以外で、0 以下の場合は、エラーを意味している。*/
-		syslog(LOG_NOTICE, "[NTP CLI,%d] callback error: %s, fncd: %s", nc->cepid,
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] callback error: %s, fncd: %s", nc->cepid,
 			itron_strerror(len), in_strtfn(fncd));
 	}
@@ -483,5 +486,5 @@
 			if ((len = udp_rcv_dat(nc->cepid, &nc->rcv_rmt, &nc->ntp_msg, len, TMO_POL)) < 0)
 			{
-				syslog(LOG_NOTICE, "[NTP CLI,%d] udp_rcv_dat error: %s", nc->cepid,
+				ntstdio_printf(&ntstdio, "[NTP CLI,%d] udp_rcv_dat error: %s", nc->cepid,
 					itron_strerror(len));
 			}
@@ -515,5 +518,5 @@
 
 	get_tid(&nc->tskid);
-	syslog(LOG_NOTICE, "[NTP CLI:%d,%d] started.", nc->tskid, (ID)exinf);
+	ntstdio_printf(&ntstdio, "[NTP CLI:%d,%d] started.", nc->tskid, (ID)exinf);
 
 	/* 初期化 */
@@ -522,5 +525,5 @@
 	ret = get_tim(&time);
 	if (ret != E_OK) {
-		syslog(LOG_NOTICE, "[NTP CLI,%d] get_tim error: %7lu,%s",
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] get_tim error: %7lu,%s",
 			nc->cepid, time / SYSTIM_HZ, itron_strerror(ret));
 		return;
@@ -536,5 +539,5 @@
 		error = tslp_tsk(timer);
 		if ((error != E_OK) && (error != E_TMOUT)) {
-			syslog(LOG_NOTICE, "[NTP CLI,%d] tslp_tsk error: %s %d",
+			ntstdio_printf(&ntstdio, "[NTP CLI,%d] tslp_tsk error: %s %d",
 				nc->cepid, itron_strerror(error), timer);
 			break;
@@ -543,5 +546,5 @@
 		ret = get_tim(&time);
 		if (ret != E_OK) {
-			syslog(LOG_NOTICE, "[NTP CLI,%d] get_tim error: %s",
+			ntstdio_printf(&ntstdio, "[NTP CLI,%d] get_tim error: %s",
 				nc->cepid, itron_strerror(ret));
 			break;
Index: /asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.c	(revision 359)
@@ -215,11 +215,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/tinet_app_config.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/tinet_app_config.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/tinet_app_config.h	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/app2_light/src/main.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app2_light/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app2_light/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_rx/trunk/app2_light/src/tinet_app_config.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app2_light/src/tinet_app_config.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app2_light/src/tinet_app_config.h	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/tinet_app_config.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/tinet_app_config.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/tinet_app_config.h	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/app4_aircon/src/main.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app4_aircon/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app4_aircon/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_rx/trunk/app4_aircon/src/tinet_app_config.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app4_aircon/src/tinet_app_config.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app4_aircon/src/tinet_app_config.h	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/tinet_app_config.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/tinet_app_config.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/tinet_app_config.h	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/main.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/tinet_app_config.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/tinet_app_config.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/tinet_app_config.h	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/main.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/main.c	(revision 359)
@@ -207,11 +207,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/tinet_app_config.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/tinet_app_config.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/tinet_app_config.h	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/arch/rx630_gcc/prc_kernel_impl.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/arch/rx630_gcc/prc_kernel_impl.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/arch/rx630_gcc/prc_kernel_impl.c	(revision 359)
@@ -39,5 +39,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: prc_kernel_impl.c 1518 2018-04-24 00:37:16Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/syssvc/serial.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/syssvc/serial.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/syssvc/serial.h	(revision 359)
@@ -60,5 +60,4 @@
 	uint_t		reacnt;			/* 受信バッファ中の文字数 */
 	uint_t		wricnt;			/* 送信バッファ中の文字数 */
-	uint_t		wbufsz;			/* 送信バッファサイズ */
 } T_SERIAL_RPOR;
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/syssvc/tSerialPortMain.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/syssvc/tSerialPortMain.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/syssvc/tSerialPortMain.c	(revision 359)
@@ -504,5 +504,4 @@
 	pk_rpor->reacnt = VAR_receiveCount;
 	pk_rpor->wricnt = VAR_sendCount;
-	pk_rpor->wbufsz = ATTR_sendBufferSize;
 	return(E_OK);
 }
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/Makefile
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/Makefile	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/Makefile	(revision 359)
@@ -34,5 +34,5 @@
 #   の責任を負わない．
 #  
-#   $Id: Makefile 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/TECSPointer.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/TECSPointer.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/TECSPointer.h	(revision 359)
@@ -33,5 +33,5 @@
  *   の責任を負わない．
  *  
- *   $Id: TECSPointer.h 2637 2017-05-08 10:30:59Z okuma-top $ 
+ *   $Id$ 
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/TECSStruct.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/TECSStruct.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/TECSStruct.h	(revision 359)
@@ -33,5 +33,5 @@
  *   の責任を負わない．
  *  
- *   $Id: TECSStruct.h 2634 2017-04-08 12:28:00Z okuma-top $ 
+ *   $Id$ 
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mruby.cdl
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mruby.cdl	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mruby.cdl	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: mruby.cdl 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mrubyInitializer.cdl
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mrubyInitializer.cdl	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mrubyInitializer.cdl	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: mrubyInitializer.cdl 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mrubyPointers.cdl
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mrubyPointers.cdl	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mrubyPointers.cdl	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: mrubyPointers.cdl 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mrubyVMs.cdl
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mrubyVMs.cdl	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/mrubyVMs.cdl	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: mrubyVMs.cdl 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tBoolPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tBoolPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tBoolPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tBoolPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tCharPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tCharPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tCharPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tCharPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tDouble64Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tDouble64Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tDouble64Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tDouble64Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tFloat32Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tFloat32Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tFloat32Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *   *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tFloat32Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt16Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt16Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt16Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tInt16Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt32Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt32Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt32Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tInt32Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt64Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt64Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt64Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tInt64Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt8Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt8Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tInt8Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tInt8Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tIntPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tIntPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tIntPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tIntPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tLongPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tLongPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tLongPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tLongPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tMruby.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tMruby.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tMruby.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: nMruby_tMruby.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tSCharPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tSCharPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tSCharPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tSCharPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tShortPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tShortPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tShortPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tShortPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tTECSInitializer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tTECSInitializer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tTECSInitializer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tTECSInitializer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUCharPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUCharPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUCharPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tUCharPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt16Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt16Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt16Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tUInt16Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt32Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt32Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt32Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tUInt32Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt64Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt64Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt64Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tUInt64Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt8Pointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt8Pointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUInt8Pointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tUInt8Pointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUIntPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUIntPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUIntPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tUIntPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tULongPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tULongPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tULongPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tULongPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUShortPointer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUShortPointer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/nMruby_tUShortPointer.c	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: nMruby_tUShortPointer.c 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/tMruby.cdl
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/tMruby.cdl	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/tMruby.cdl	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: tMruby.cdl 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 //import(<syssvc/tSerialPort.cdl>);
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/tecs_mruby.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/tecs_mruby.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/mruby/tecs_mruby.h	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: tecs_mruby.h 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/posix/posix.cdl
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/posix/posix.cdl	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/posix/posix.cdl	(revision 359)
@@ -31,5 +31,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: posix.cdl 2640 2017-06-03 11:27:12Z okuma-top $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/rpc/tTINETClient.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/rpc/tTINETClient.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/rpc/tTINETClient.c	(revision 359)
@@ -34,5 +34,5 @@
  *   の責任を負わない．
  *  
- *   $Id: tTINETClient.c 2027 2014-01-20 08:36:17Z okuma-top $
+ *   $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/rpc/tTINETServer.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/rpc/tTINETServer.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecs/rpc/tTINETServer.c	(revision 359)
@@ -34,5 +34,5 @@
  *   の責任を負わない．
  *  
- *   $Id: tTINETServer.c 2027 2014-01-20 08:36:17Z okuma-top $
+ *   $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecsgen.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecsgen.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecsgen.rb	(revision 359)
@@ -36,5 +36,5 @@
 #   の責任を負わない．
 #  
-#   $Id: tecsgen.rb 2638 2017-05-29 14:05:52Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/C_parser.y.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/C_parser.y.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/C_parser.y.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: C_parser.y.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/bnf.y.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/bnf.y.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/bnf.y.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: bnf.y.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/componentobj.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/componentobj.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/componentobj.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: componentobj.rb 2638 2017-05-29 14:05:52Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/ctypes.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/ctypes.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/ctypes.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: ctypes.rb 2622 2017-01-04 13:19:33Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/expression.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/expression.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/expression.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: expression.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/generate.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/generate.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/generate.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: generate.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/messages.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/messages.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/messages.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: messages.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/optimize.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/optimize.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/optimize.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: optimize.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/plugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/plugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/plugin.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: plugin.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/pluginModule.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/pluginModule.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/pluginModule.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: pluginModule.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/syntaxobj.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/syntaxobj.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/syntaxobj.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: syntaxobj.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/tecsgen.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/tecsgen.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/tecsgen.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: tecsgen.rb 2638 2017-05-29 14:05:52Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/tecsinfo.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/tecsinfo.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/tecsinfo.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: tecsinfo.rb 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/tool_info.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/tool_info.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/tool_info.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: tool_info.rb 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/types.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/types.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/core/types.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: types.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_console_en_US.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_console_en_US.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_console_en_US.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: messages_console_en_US.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_console_ja_JP.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_console_ja_JP.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_console_ja_JP.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: messages_console_ja_JP.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_file_en_US.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_file_en_US.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_file_en_US.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: messages_file_en_US.rb 2587 2016-07-31 13:26:28Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_file_ja_JP.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_file_ja_JP.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_file_ja_JP.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: messages_file_ja_JP.rb 2587 2016-07-31 13:26:28Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/CompositePlugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/CompositePlugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/CompositePlugin.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: CelltypePlugin.rb 2635 2017-04-16 02:37:16Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2AlarmHandlerPlugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2AlarmHandlerPlugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2AlarmHandlerPlugin.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #
-#   $Id: HRP2AlarmHandlerPlugin.rb 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #  
 #++
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2CyclicHandlerPlugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2CyclicHandlerPlugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2CyclicHandlerPlugin.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: HRP2CyclicHandlerPlugin.rb 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2HandlerPlugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2HandlerPlugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2HandlerPlugin.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: HRP2HandlerPlugin.rb 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2KernelObjectPlugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2KernelObjectPlugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2KernelObjectPlugin.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: HRP2KernelObjectPlugin.rb 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2Plugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2Plugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2Plugin.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: HRP2Plugin.rb 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2TaskPlugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2TaskPlugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/HRP2TaskPlugin.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: HRP2TaskPlugin.rb 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/MrubyBridgePlugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/MrubyBridgePlugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/MrubyBridgePlugin.rb	(revision 359)
@@ -34,5 +34,5 @@
 #   の責任を負わない．
 #  
-#   $Id: MrubyBridgePlugin.rb 2638 2017-05-29 14:05:52Z okuma-top $
+#   $Id$
 #
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/MultiPlugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/MultiPlugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/MultiPlugin.rb	(revision 359)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id: MultiPlugin.rb 2640 2017-06-03 11:27:12Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/NotifierPlugin.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/NotifierPlugin.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecslib/plugin/NotifierPlugin.rb	(revision 359)
@@ -59,5 +59,5 @@
 	#  - アダプタ関数の引数
 	#
-	#   $Id: NotifierPlugin.rb 2640 2017-06-03 11:27:12Z okuma-top $
+	#   $Id$
 
 	# @private
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecsmerge.rb
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecsmerge.rb	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tecsgen/tecsmerge.rb	(revision 359)
@@ -37,5 +37,5 @@
 #   の責任を負わない．
 #  
-#   $Id: tecsmerge.rb 2633 2017-04-02 06:02:05Z okuma-top $
+#   $Id$
 #++
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.c	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: ethernet.c 1524 2018-04-25 13:48:23Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.h	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: ethernet.h 1524 2018-04-25 13:48:23Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/bnep_bridge/src/main.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/bnep_bridge/src/main.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/bnep_bridge/src/main.c	(revision 359)
@@ -192,11 +192,5 @@
 
 	/* 初期化 */
-	if (ffarch_init() == 0) {
-		gpio_write(&led_blue, 0);
-	}
-	else {
-		gpio_write(&led_blue, 0);
-		gpio_write(&led_red, 1);
-	}
+	ffarch_init();
 
 	gpio_write(&led_green, 0);
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.c	(revision 359)
@@ -54,5 +54,65 @@
 #include "mbed_api.h"
 
-//extern ntstdio_t ntstdio;
+extern ntstdio_t ntstdio;
+
+enum ffarch_state_t {
+	FFS_IDLE,
+	FFS_RETRY_WAIT,
+};
+
+enum ffarch_state_t ffarch_state;
+volatile int ffarch_timer;
+int ffarch_retry_count;
+uint8_t mmc_rspi_prev_status;
+
+static void ffarch_initialize();
+
+/*
+ * FatFSタスク
+ */
+void ffarch_task(intptr_t exinf)
+{
+	ER ret, ret2;
+	SYSTIM prev, now;
+	int timer;
+
+	ffarch_initialize();
+
+	ret2 = get_tim(&now);
+	if (ret2 != E_OK){
+		ntstdio_printf(&ntstdio, "[ffarch] get_tim error: %s",
+			itron_strerror(ret2));
+		return;
+	}
+
+	for(;;){
+		prev = now;
+
+		/* タイマー取得 */
+		timer = ffarch_get_timer();
+
+		/* 待ち */
+		ret = tslp_tsk(timer);
+		if ((ret != E_OK) && (ret != E_TMOUT)) {
+			ntstdio_printf(&ntstdio, "[ffarch] tslp_tsk error: %s %d",
+				itron_strerror(ret), timer);
+			break;
+		}
+
+		ret2 = get_tim(&now);
+		if (ret2 != E_OK) {
+			ntstdio_printf(&ntstdio, "[ffarch] get_tim error: %s",
+				itron_strerror(ret2));
+			break;
+		}
+
+		/* 時間経過 */
+		int elapse = now - prev;
+		ffarch_progress(elapse);
+
+		/* タイムアウト処理 */
+		ffarch_timeout();
+	}
+}
 
 FATFS RomDisk;
@@ -88,29 +148,26 @@
 	//sdfs_init(&sdfs, P8_5, P8_6, P8_3, P8_4, "sd");
 
-	result = SD_begin() ? 0 : -1;
-	if (result == 0) {
-		printf("SD card (1:) OK!\n");
+	ffarch_state = FFS_IDLE;
+	ffarch_timer = 0;
+	ffarch_retry_count = 3;
+	mmc_rspi_prev_status = STA_NODISK;
+
+	ffarch_timeout();
+
+	act_tsk(FFARCH_TASK);
+
+	if (romdisk_init()) {
+		ntstdio_printf(&ntstdio, "ROM disk (0:) OK!\n");
 	}
 	else {
-		printf("SD card (1:) NG!\n");
-	}
+		ntstdio_printf(&ntstdio, "ROM disk (0:) NG!\n");
+	}
+
+	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
+}
+
+void ffarch_initialize()
+{
 	sta_cyc(MMC_RSPI_CYC);
-
-	if (romdisk_init())
-		result = 0;
-
-	if (result == 0) {
-		printf("ROM disk (0:) OK!\n");
-	}
-	else {
-		printf("ROM disk (0:) NG!\n");
-	}
-
-	/* uploadディレクトリを作成しておく */
-	f_mkdir("1:/upload");
-
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
-	return result;
 }
 
@@ -216,4 +273,81 @@
 	}
 	return RES_PARERR;
+}
+
+void mmc_rspi_status_changed(DSTATUS newst)
+{
+	if (ffarch_state == FFS_IDLE) {
+		mmc_rspi_prev_status = mmc_rspi_status();
+		ffarch_timer = 0;
+		wup_tsk(FFARCH_TASK);
+	}
+}
+
+int ffarch_get_timer()
+{
+	return ffarch_timer;
+}
+
+void ffarch_progress(int elapse)
+{
+	if (ffarch_timer != TMO_FEVR) {
+		ffarch_timer -= elapse;
+		if (ffarch_timer < 0) {
+			ffarch_timer = 0;
+		}
+	}
+}
+
+void ffarch_timeout()
+{
+	if (ffarch_timer != 0)
+		return;
+
+	switch (ffarch_state) {
+	case FFS_RETRY_WAIT:
+		if (ffarch_retry_count == 0) {
+			ntstdio_printf(&ntstdio, "SD card (1:) initialize tired...\n");
+
+			ffarch_state = FFS_IDLE;
+			ffarch_timer = TMO_FEVR;
+			ffarch_retry_count = 3;
+			break;
+		}
+		ffarch_retry_count--;
+		//goto case FFS_IDLE;
+	case FFS_IDLE:
+ 		/* SDカードが入れられた場合 */
+ 		if (((mmc_rspi_prev_status & STA_NODISK) != 0) && ((mmc_rspi_status() & STA_NODISK) == 0)) {
+			ntstdio_printf(&ntstdio, "SD card initializing ...\n");
+
+			Sd.FatFs.fs_type = 0;
+			if (SD_begin()) {
+				ntstdio_printf(&ntstdio, "SD card (1:) OK!\n");
+
+				/* uploadディレクトリを作成しておく */
+				f_mkdir("1:/upload");
+
+				ffarch_state = FFS_IDLE;
+				ffarch_timer = TMO_FEVR;
+				ffarch_retry_count = 3;
+			}
+			else {
+				ntstdio_printf(&ntstdio, "SD card (1:) NG!\n");
+				ffarch_state = FFS_RETRY_WAIT;
+				ffarch_timer = 1000 * 1000;
+			}
+		}
+		/* SDカードが抜かれた場合 */
+		else if (((mmc_rspi_prev_status & STA_NODISK) == 0) && ((mmc_rspi_status() & STA_NODISK) != 0)) {
+			ntstdio_printf(&ntstdio, "SD card unmount\n");
+
+			f_mount(&Sd.FatFs, "1:", 0);
+			ffarch_state = FFS_IDLE;
+			ffarch_timer = TMO_FEVR;
+			ffarch_retry_count = 3;
+		}
+		mmc_rspi_prev_status = mmc_rspi_status();
+		break;
+	}
 }
 
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.cfg
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.cfg	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.cfg	(revision 359)
@@ -38,4 +38,5 @@
 #include "ffarch.h"
 
+CRE_TSK(FFARCH_TASK, { TA_NULL, 0, ffarch_task, FFARCH_PRIORITY, FFARCH_STACK_SIZE, NULL });
 INCLUDE("mmc_rspi.cfg");
 
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.h	(revision 359)
@@ -38,5 +38,13 @@
 #define _FFARCH_H_
 
-int ffarch_init();
+#define FFARCH_PRIORITY			5
+#define FFARCH_STACK_SIZE		512
+
+void ffarch_init();
+void ffarch_task(intptr_t exinf);
+int ffarch_get_timer();
+void ffarch_progress(int elapse);
+void ffarch_timeout();
+
 void sdfs_cychdr(intptr_t exinf);
 
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.c	(revision 359)
@@ -201,5 +201,5 @@
 	ena_int(INTNO_MMC_RSPI_SPII);
 
-	sta_cyc(MMC_RSPI_CYC);
+	/*sta_cyc(MMC_RSPI_CYC);*/
 }
 
@@ -211,5 +211,5 @@
 void power_off(void)	/* Disable MMC/SDC interface */
 {
-	stp_cyc(MMC_RSPI_CYC);
+	/*stp_cyc(MMC_RSPI_CYC);*/
 
 	dis_int(INTNO_MMC_RSPI_SPRI);
@@ -745,5 +745,9 @@
 	else		/* Socket empty */
 		s |= (STA_NODISK | STA_NOINIT);
-	Stat = s;
+
+	if (Stat != s) {
+		mmc_rspi_status_changed(s);
+		Stat = s;
+	}
 }
 
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.h	(revision 359)
@@ -67,8 +67,9 @@
 #endif
 
-extern void mmc_rspi_spri_handler(void);
-extern void mmc_rspi_spti_handler(void);
-extern void mmc_rspi_spii_handler(void);
-extern void mmc_rspi_cychdr(intptr_t exinf);
+void mmc_rspi_spri_handler(void);
+void mmc_rspi_spti_handler(void);
+void mmc_rspi_spii_handler(void);
+void mmc_rspi_cychdr(intptr_t exinf);
+void mmc_rspi_status_changed(DSTATUS newst);
 
 #endif /* _MMC_RSPI_H_ */
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/src/fdtable.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/src/fdtable.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/src/fdtable.c	(revision 359)
@@ -400,5 +400,5 @@
 		FD_SET(fd, (fd_set *)&flgptn);
 	}
-	if (rpor.wricnt < rpor.wbufsz) {
+	if (rpor.wricnt != 0) {
 		if (fp->writeevt_w == fp->writeevt_r) fp->writeevt_w++;
 
@@ -428,5 +428,5 @@
 		FD_SET(fd, (fd_set *)flgptn);
 	}
-	if (rpor.wricnt < rpor.wbufsz) {
+	if (rpor.wricnt != 0) {
 		if (fp->writeevt_w == fp->writeevt_r) fp->writeevt_w++;
 
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.c	(revision 359)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: net_misc.c 1497 2018-04-13 00:04:30Z coas-nagasima $
+ *  @(#) $Id$
  */
 
@@ -60,4 +60,7 @@
 #include "kernel_cfg.h"
 #include "tinet_cfg.h"
+#include "util/ntstdio.h"
+
+extern ntstdio_t ntstdio;
 
 T_DHCP4_CLI_CONTEXT *dhcp4_cli_initialize(ID tskid, ID cepid);
@@ -94,5 +97,5 @@
 
 	get_tid(&nc->tskid);
-	syslog(LOG_NOTICE, "[NET MISC:%d,%d] started.", nc->tskid, (ID)exinf);
+	ntstdio_printf(&ntstdio, "[NET MISC:%d,%d] started.", nc->tskid, (ID)exinf);
 
 	/* 初期化 */
@@ -102,5 +105,5 @@
 	ret = get_tim(&time);
 	if (ret != E_OK) {
-		syslog(LOG_NOTICE, "[NET MISC,%d] get_tim error: %7lu,%s",
+		ntstdio_printf(&ntstdio, "[NET MISC,%d] get_tim error: %7lu,%s",
 			nc->cepid, time / SYSTIM_HZ, itron_strerror(ret));
 		return;
@@ -116,5 +119,5 @@
 		error = tslp_tsk(timer);
 		if ((error != E_OK) && (error != E_TMOUT)) {
-			syslog(LOG_NOTICE, "[NET MISC,%d] tslp_tsk error: %s %d",
+			ntstdio_printf(&ntstdio, "[NET MISC,%d] tslp_tsk error: %s %d",
 				nc->cepid, itron_strerror(error), timer);
 			break;
@@ -123,5 +126,5 @@
 		ret = get_tim(&time);
 		if (ret != E_OK) {
-			syslog(LOG_NOTICE, "[NET MISC,%d] get_tim error: %s",
+			ntstdio_printf(&ntstdio, "[NET MISC,%d] get_tim error: %s",
 				nc->cepid, itron_strerror(ret));
 			break;
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.cfg
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.cfg	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.cfg	(revision 359)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: net_misc.cfg 1497 2018-04-13 00:04:30Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.h	(revision 359)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: net_misc.h 1497 2018-04-13 00:04:30Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/src/ntp_cli.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/src/ntp_cli.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/src/ntp_cli.c	(revision 359)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: ntp_cli.c 1496 2018-04-12 11:59:40Z coas-nagasima $
+ *  @(#) $Id$
  */
 
@@ -50,4 +50,7 @@
 #include <t_syslog.h>
 #include "kernel_cfg.h"
+#include "util/ntstdio.h"
+
+extern ntstdio_t ntstdio;
 
 #endif	/* of #if defined(TARGET_KERNEL_ASP) */
@@ -276,5 +279,5 @@
 	}
 
-	syslog(LOG_NOTICE, "[NTP CLI,%d] recv time: %s .%09u",
+	ntstdio_printf(&ntstdio, "[NTP CLI,%d] recv time: %s .%09u\n",
 		nc->cepid, nc->buf, tp.tv_nsec);
 }
@@ -308,5 +311,5 @@
 		line = lookup_ipaddr(&nc->ipaddr6, NTP_SRV_URL, API_PROTO_IPV4);
 		if (line == NULL || !in6_is_addr_ipv4mapped(&nc->ipaddr6)) {
-			syslog(LOG_NOTICE, "[NTP CLI,%d] sleep %d.%03u[s], unknown host.",
+			ntstdio_printf(&ntstdio, "[NTP CLI,%d] sleep %d.%03u[s], unknown host.",
 				nc->cepid, SLP_ITV / SYSTIM_HZ, SLP_ITV % SYSTIM_HZ);
 			nc->timer = SLP_ITV;
@@ -316,5 +319,5 @@
 #else	/* of #if defined(SUPPORT_INET6) && defined(SUPPORT_INET4) */
 		if ((line = lookup_ipaddr(&nc->snd_rmt.ipaddr, NTP_SRV_URL, DEFAULT_API_PROTO)) == NULL) {
-			syslog(LOG_NOTICE, "[NTP CLI,%d] sleep %d.%03u[s], unknown host.",
+			ntstdio_printf(&ntstdio, "[NTP CLI,%d] sleep %d.%03u[s], unknown host.",
 				nc->cepid, SLP_ITV / SYSTIM_HZ, SLP_ITV % SYSTIM_HZ);
 			nc->timer = SLP_ITV;
@@ -420,5 +423,5 @@
 
 	if ((error = udp_snd_dat(nc->cepid, &nc->snd_rmt, ntp, len, TMO_NBLK)) != E_WBLK) {
-		syslog(LOG_NOTICE, "[NTP CLI,%d] udp_snd_dat error: %s",
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] udp_snd_dat error: %s",
 			nc->cepid, itron_strerror(error));
 		return error;
@@ -438,5 +441,5 @@
 	ret = get_tim(&time);
 	if (ret != E_OK) {
-		syslog(LOG_NOTICE, "[NTP CLI,%d] get_tim error: %s",
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] get_tim error: %s",
 			nc->cepid, itron_strerror(ret));
 		tp->tv_sec = 0;
@@ -458,5 +461,5 @@
 	ret = set_tim(time);
 	if (ret != E_OK) {
-		syslog(LOG_NOTICE, "[NTP CLI,%d] set_tim error: %s",
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] set_tim error: %s",
 			nc->cepid, itron_strerror(ret));
 	}
@@ -476,5 +479,5 @@
 	if (len < 0 && len != E_RLWAI) {
 		/* E_RLWAI 以外で、0 以下の場合は、エラーを意味している。*/
-		syslog(LOG_NOTICE, "[NTP CLI,%d] callback error: %s, fncd: %s", nc->cepid,
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] callback error: %s, fncd: %s", nc->cepid,
 			itron_strerror(len), in_strtfn(fncd));
 	}
@@ -483,5 +486,5 @@
 			if ((len = udp_rcv_dat(nc->cepid, &nc->rcv_rmt, &nc->ntp_msg, len, TMO_POL)) < 0)
 			{
-				syslog(LOG_NOTICE, "[NTP CLI,%d] udp_rcv_dat error: %s", nc->cepid,
+				ntstdio_printf(&ntstdio, "[NTP CLI,%d] udp_rcv_dat error: %s", nc->cepid,
 					itron_strerror(len));
 			}
@@ -515,5 +518,5 @@
 
 	get_tid(&nc->tskid);
-	syslog(LOG_NOTICE, "[NTP CLI:%d,%d] started.", nc->tskid, (ID)exinf);
+	ntstdio_printf(&ntstdio, "[NTP CLI:%d,%d] started.", nc->tskid, (ID)exinf);
 
 	/* 初期化 */
@@ -522,5 +525,5 @@
 	ret = get_tim(&time);
 	if (ret != E_OK) {
-		syslog(LOG_NOTICE, "[NTP CLI,%d] get_tim error: %7lu,%s",
+		ntstdio_printf(&ntstdio, "[NTP CLI,%d] get_tim error: %7lu,%s",
 			nc->cepid, time / SYSTIM_HZ, itron_strerror(ret));
 		return;
@@ -536,5 +539,5 @@
 		error = tslp_tsk(timer);
 		if ((error != E_OK) && (error != E_TMOUT)) {
-			syslog(LOG_NOTICE, "[NTP CLI,%d] tslp_tsk error: %s %d",
+			ntstdio_printf(&ntstdio, "[NTP CLI,%d] tslp_tsk error: %s %d",
 				nc->cepid, itron_strerror(error), timer);
 			break;
@@ -543,5 +546,5 @@
 		ret = get_tim(&time);
 		if (ret != E_OK) {
-			syslog(LOG_NOTICE, "[NTP CLI,%d] get_tim error: %s",
+			ntstdio_printf(&ntstdio, "[NTP CLI,%d] get_tim error: %s",
 				nc->cepid, itron_strerror(ret));
 			break;
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/src/ntp_cli.cfg
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/src/ntp_cli.cfg	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/src/ntp_cli.cfg	(revision 359)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: ntp_cli.cfg 1496 2018-04-12 11:59:40Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/src/ntp_cli.h
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/src/ntp_cli.h	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/src/ntp_cli.h	(revision 359)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: ntp_cli.h 1496 2018-04-12 11:59:40Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/src/syscall.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/src/syscall.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/src/syscall.c	(revision 359)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: syscall.c 1530 2018-04-27 04:00:17Z coas-nagasima $
+ *  @(#) $Id$
  */
 #include "bits/syscall.h"
Index: /asp3_tinet_ecnl_rx/trunk/ntshell/src/tinet_ntp_cli.cfg
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/ntshell/src/tinet_ntp_cli.cfg	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/ntshell/src/tinet_ntp_cli.cfg	(revision 359)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id: tinet_ntp_cli.cfg 1291 2017-07-20 02:51:05Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: /asp3_tinet_ecnl_rx/trunk/wolfssl-3.12.2/wolfcrypt/src/aes.c
===================================================================
--- /asp3_tinet_ecnl_rx/trunk/wolfssl-3.12.2/wolfcrypt/src/aes.c	(revision 358)
+++ /asp3_tinet_ecnl_rx/trunk/wolfssl-3.12.2/wolfcrypt/src/aes.c	(revision 359)
@@ -3618,5 +3618,5 @@
 
 
-/* Figure 9. AES-GCM - Encrypt With Single Block Ghash at a Time */
+/* Figure 9. AES-GCM – Encrypt With Single Block Ghash at a Time */
 
 static const __m128i ONE   = M128_INIT(0x0, 0x1);
@@ -5017,5 +5017,5 @@
 
 #ifdef HAVE_AES_DECRYPT
-/* Figure 10. AES-GCM - Decrypt With Single Block Ghash at a Time */
+/* Figure 10. AES-GCM – Decrypt With Single Block Ghash at a Time */
 
 static int AES_GCM_decrypt(const unsigned char *in, unsigned char *out,
